---
title: list-style-image
slug: Web/CSS/list-style-image
tags:
  - CSS
  - CSS Lists
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>list-style-image</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets an image to be used as the list item marker.</p>

<p>It is often more convenient to use the shorthand {{ cssxref("list-style") }}.</p>

<div>{{EmbedInteractiveExample("pages/css/list-style-image.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<div class="note">
<p><strong>Note:</strong> This property is applied to list items, i.e. elements with <code>{{cssxref("display")}}: list-item;</code> <a href="https://www.w3.org/TR/html5/rendering.html#lists">by default</a> this includes {{HTMLElement("li")}} elements. Because this property is inherited, it can be set on the parent element (normally {{HTMLElement("ol")}} or {{HTMLElement("ul")}}) to let it apply to all list items.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Keyword values */
list-style-image: none;

/* &lt;url&gt; values */
list-style-image: url('starsolid.gif');

/* Global values */
list-style-image: inherit;
list-style-image: initial;
list-style-image: unset;
</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt>{{cssxref("&lt;url&gt;")}}</dt>
 <dd>Location of image to use as the marker.</dd>
 <dt><code>none</code></dt>
 <dd>Specifies that no image is used as the marker. If this value is set, the marker defined in {{ Cssxref("list-style-type") }} will be used instead.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_list_item_images">Setting list item images</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;ul&gt;
  &lt;li&gt;Item 1&lt;/li&gt;
  &lt;li&gt;Item 2&lt;/li&gt;
&lt;/ul&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">ul {
  list-style-image: url("https://mdn.mozillademos.org/files/11981/starsolid.gif");
}</pre>

<h4 id="Result">Result</h4>

<p>{{ EmbedLiveSample('Setting_list_item_images') }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSS3 Lists', '#propdef-list-style-image', 'list-style-image') }}</td>
   <td>{{ Spec2('CSS3 Lists') }}</td>
   <td>Extends support to any {{cssxref("&lt;image&gt;")}} data type.</td>
  </tr>
  <tr>
   <td>{{ SpecName('CSS2.1', 'generate.html#propdef-list-style-image', 'list-style-image') }}</td>
   <td>{{ Spec2('CSS2.1') }}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.list-style-image")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{Cssxref("list-style")}}, {{Cssxref("list-style-type")}}, {{Cssxref("list-style-position")}}</li>
 <li>{{cssxref("url()", "url()")}} function</li>
</ul>
